Bug 1293145 - PackageKit crashing in libhawkey after recent updates
PackageKit crashing in libhawkey after recent updates
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 12:48 EST by Jonathan Kamens
Modified: 2016-12-20 12:13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:13:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2015-12-20 12:48:48 EST
With recent updates, PackageKit is crashing daily with a segv in libhawkey:

Dec 18 07:06:02 jik2 audit: ANOM_ABEND auid=4294967295 uid=0 gid=0 ses=4294967295 pid=4223 comm="PK-Backend" exe="/usr/libexec/packagekitd" sig=11
Dec 18 07:06:02 jik2 kernel: PK-Backend[4223]: segfault at 18 ip 00007f8e5319ef80 sp 00007f8e43960b78 error 4 in libhawkey.so.2[7f8e5318d000+1b000]
Dec 18 07:06:02 jik2 kernel: audit: type=1701 audit(1450440362.898:275): auid=4294967295 uid=0 gid=0 ses=4294967295 pid=4223 comm="PK-Backend" exe="/usr/libexec/packagekitd" sig=11
Dec 18 07:06:03 jik2 abrt-hook-ccpp: Failed to create core_backtrace: waitpid failed: No child processes
Dec 18 07:06:03 jik2 systemd: packagekit.service: Main process exited, code=killed, status=11/SEGV
Dec 18 07:06:03 jik2 systemd: packagekit.service: Unit entered failed state.
Dec 18 07:06:03 jik2 systemd: packagekit.service: Failed with result 'signal'.
Dec 18 07:06:03 jik2 audit: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=packagekit comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=failed'
Dec 18 07:06:03 jik2 kernel: audit: type=1131 audit(1450440363.262:276): pid=1 uid=0 auid=4294967295 ses=4294967295 msg='unit=packagekit comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=?\
 res=failed'
Dec 18 07:06:03 jik2 abrt-server: BDB2053 Freeing read locks for locker 0x1: 2965/140249532856448
Dec 18 07:06:03 jik2 abrt-server: BDB2053 Freeing read locks for locker 0x3: 2965/140249532856448
Dec 18 07:06:04 jik2 abrt-server: Deleting problem directory ccpp-2015-12-18-07:06:02-2965 (dup of ccpp-2015-12-02-06:32:00-2867)
Comment 1 Fedora End Of Life 2016-11-24 09:24:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 12:13:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.